Loading...
Searching...
No Matches
BamTools::SamSequence Struct Reference

Represents a SAM sequence entry. More...

`#include <SamSequence.h>`

## Public Member Functions

| SamSequence ()
| default constructor
| SamSequence (const std::string &name, const int &length)
| constructs sequence with name and length
| SamSequence (const std::string &name, const std::string &length)
| constructs sequence with name and length
void | Clear ()
| Clears all data fields.
bool | HasAssemblyID () const
| Returns `true` if sequence contains @SQ AS:<AssemblyID>.
bool | HasChecksum () const
| Returns `true` if sequence contains @SQ M5:<Checksum>.
bool | HasLength () const
| Returns `true` if sequence contains @SQ LN:<Length>.
bool | HasName () const
| Returns `true` if sequence contains @SQ SN:<Name>.
bool | HasSpecies () const
| Returns `true` if sequence contains @SQ SP:<Species>.
bool | HasURI () const
| Returns `true` if sequence contains @SQ UR:<URI>.

## Public Attributes

std::string | AssemblyID
| corresponds to @SQ AS:<AssemblyID>
std::string | Checksum
| corresponds to @SQ M5:<Checksum>
std::string | Length
| corresponds to @SQ LN:<Length>
std::string | Name
| corresponds to @SQ SN:<Name>
std::string | Species
| corresponds to @SQ SP:<Species>
std::string | URI
| corresponds to @SQ UR:<URI>
std::vector< CustomHeaderTag > | CustomTags

## Detailed Description

Represents a SAM sequence entry.

Provides direct read/write access to the SAM sequence data fields.

See also
  http://samtools.sourceforge.net/SAM1.pdf

## Constructor & Destructor Documentation

## SamSequence() [1/3]

SamSequence::SamSequence | ( |  | ) |

default constructor

## SamSequence() [2/3]

SamSequence::SamSequence | ( | const std::string & | name,
|  | const int & | length )

constructs sequence with name and length

Parameters

  name | desired sequence name
  length | desired sequence length (numeric value)

## SamSequence() [3/3]

SamSequence::SamSequence | ( | const std::string & | name,
|  | const std::string & | length )

constructs sequence with name and length

Parameters

  name | desired sequence name
  length | desired sequence length (string value)

## Member Function Documentation

## Clear()

void SamSequence::Clear | ( |  | ) |

Clears all data fields.

## HasAssemblyID()

bool SamSequence::HasAssemblyID | ( |  | ) | const

Returns `true` if sequence contains @SQ AS:<AssemblyID>.

## HasChecksum()

bool SamSequence::HasChecksum | ( |  | ) | const

Returns `true` if sequence contains @SQ M5:<Checksum>.

## HasLength()

bool SamSequence::HasLength | ( |  | ) | const

Returns `true` if sequence contains @SQ LN:<Length>.

## HasName()

bool SamSequence::HasName | ( |  | ) | const

Returns `true` if sequence contains @SQ SN:<Name>.

## HasSpecies()

bool SamSequence::HasSpecies | ( |  | ) | const

Returns `true` if sequence contains @SQ SP:<Species>.

## HasURI()

bool SamSequence::HasURI | ( |  | ) | const

Returns `true` if sequence contains @SQ UR:<URI>.

## Member Data Documentation

## AssemblyID

std::string BamTools::SamSequence::AssemblyID

corresponds to @SQ AS:<AssemblyID>

## Checksum

std::string BamTools::SamSequence::Checksum

corresponds to @SQ M5:<Checksum>

## CustomTags

std::vector<CustomHeaderTag> BamTools::SamSequence::CustomTags

## Length

std::string BamTools::SamSequence::Length

corresponds to @SQ LN:<Length>

Required for valid SAM header.

## Name

std::string BamTools::SamSequence::Name

corresponds to @SQ SN:<Name>

Required for valid SAM header.

## Species

std::string BamTools::SamSequence::Species

corresponds to @SQ SP:<Species>

## URI

std::string BamTools::SamSequence::URI

corresponds to @SQ UR:<URI>

The documentation for this struct was generated from the following files:

- SamSequence.h
- SamSequence.cpp